bluez (5.83-1~exp1ubuntu0.1) questing; urgency=medium

  * d/patches: Fix bug where pre_run would not be called for
    non-interactive commands (LP: #2127186)

 -- Tobias Heider <tobias.heider@canonical.com>  Thu, 16 Oct 2025 13:22:15 +0200

bluez (5.83-1~exp1) experimental; urgency=medium

  * New upstream version 5.83.
  * d/patches: Update Fix-typo.patch
  * debian/bluez.manpages: Install man7/mgmt.7
  * d/control: Bumped Standards-Version to 4.7.2

  [Salvatore Bonaccorso]
  * Do not start mpris-proxy for system users (Closes: #1094257)

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Wed, 25 Jun 2025 06:44:40 +0900

bluez (5.82-1) unstable; urgency=medium

  * Team upload

  [ Jochen Sprickerhof ]
  * New upstream version 5.82 (LP: #2092158)
  * Install new upstream config and manpage file
  * Update d/copyright
  * Update Debian patches
  * Add Build-Depends-Package to symbols file

  [ Diederik de Haas ]
  * Drop obsolete main.conf.patch & bluetooth.conf.patch

  [ Michael Biebl ]
  * Fix removal of obsolete conffile /etc/dbus-1/system.d/bluetooth.conf
    (Closes: #1043453)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 11 Apr 2025 10:59:52 -0400

bluez (5.79-2) unstable; urgency=medium

  * Team upload
  * Have bluez depend on adduser since it's used by the postint script
    (Closes: #1100139)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 12 Mar 2025 09:31:04 -0400

bluez (5.79-1) unstable; urgency=medium

  [ Jeremy Bícha ]
  * Add apport hook
  * Drop obsolete Pre-Depends
  * debian/rules: minor cleanup
  * Use ebook phonebook plugin
  * autopkgtest: update syntax for Python 3.12
  * Add patches from Ubuntu
    - 0002-hostname-handle-chassis-type-handset.patch
    - lp1759836.patch
    - raspi-bcm43xx-load-firmware.patch
    - raspi-bcm43xx-3wire.patch
    - raspi-cypress-305-bdaddr.patch
    - ubuntu_error_restart.patch

  [ Nobuhiro Iwamatsu ]
  * New upstream version 5.79
    (Closes: #1086526, #1031599, #1083183)
  * d/patches: Drop raspi-cypress-305-bdaddr.patch.
  * Install newly added files.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Mon, 04 Nov 2024 07:19:59 +0900

bluez (5.77-1) unstable; urgency=medium

  * Update to 5.77. (Closes: #1070269)

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Fri, 16 Aug 2024 15:46:59 +0900

bluez (5.73-1.1) unstable; urgency=medium

  * tests: don't fail on output to stderr (Closes: #1071147)
  * tests: mark the test as superficial as it doesn't test anything now

 -- Paul Gevers <elbrus@debian.org>  Sun, 28 Jul 2024 17:14:24 +0200

bluez (5.73-1) unstable; urgency=medium

  * Update to 5.73. (Closes: #1060795, #1060242)
  * d/patches:
    - Drop allow-using-obexd-without-systemd-in-the-user-sessio.patch.
    - Drop change_path_of_hogsuspend.patch.
    - Update org.bluez.obex.service.in.patch.
    - Drop Change-shebang-from-usr-bin-python-to-usr-bin-python.patch
    - Update work-around-Logitech-diNovo-Edge-keyboard-firmware-i.patch.
      (Closes: #1060393)
  * d//libbluetooth*.install:
    - Drop sixaxis.[a|so] from libbluetooth*.install.
  * d/bluez-meshd.install: Install mesh-main.conf.
  * d/bluez.install: Change install path of config files.
  * d/bluez.manpages: Change install path of manpages.
  * d/bluez-obexd.install: Install dbus-org.bluez.obex.service.
  * d/control:
    - Change from pkg-config to pkgconf with libbluetooth-dev.
    - Add systemd-dev only with Build-Depends. (Closes: #1060516)
    - Bumped Standards-Version to 4.7.0.
  * d/tests:
    - Add simple testsuite from Ubuntu. (Closes: #1060395)
  * d/libbluetooth3.symbols: Update
  * d/copyright:
    - Drop unprovided source files.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Wed, 10 Apr 2024 20:25:04 +0900

bluez (5.71-1) unstable; urgency=medium

  * Update to 5.71.
  * d/patches: Drop input.conf-Change-default-of-ClassicBondedOnly.patch.
  * Update d/bluez.manpages.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Wed, 03 Jan 2024 02:43:51 +0900

bluez (5.70-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Upload to unstable.

 -- Salvatore Bonaccorso <carnil@debian.org>  Fri, 15 Dec 2023 20:57:14 +0100

bluez (5.70-1.1~exp0) experimental; urgency=medium

  * Non-maintainer upload.

  [ Helmut Grohne ]
  * Fix FTBFS when systemd.pc changes systemdsystemunitdir (Closes: #1052983)

  [ Chris Hofstaedtler ]
  * Defer udev file placement to udev's pkg-config data (Closes: #1056996)
  * Install hciconfig into /usr/bin instead of /bin

  [ Salvatore Bonaccorso ]
  * input.conf: Change default of ClassicBondedOnly (CVE-2023-45866)
    (Closes: #1057914)

 -- Salvatore Bonaccorso <carnil@debian.org>  Thu, 14 Dec 2023 22:32:44 +0100

bluez (5.70-1) unstable; urgency=medium

  * Update to 5.70.
  * d/clean: Add debian/tmp-source. (Closes: #1044111)

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Tue, 24 Oct 2023 15:17:00 +0900

bluez (5.69-1) unstable; urgency=medium

  * Update to 5.69.
  * Update d/patches/Fix-typo.patch.
  * Update d/bluez.manpages.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Mon, 28 Aug 2023 09:38:44 +0900

bluez (5.68-2) unstable; urgency=medium

  * d/rules: export DEB_CFLAGS_MAINT_APPEND
  * d/patches: Add Add-HCI_TO_STR-macro-for-FIRMWARE_DIR.patch (Closes: #1036546)

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Sun, 06 Aug 2023 08:42:46 +0900

bluez (5.68-1) unstable; urgency=medium

  * Update to 5.68.
  * d/patches/obex-Use-GLib-helper-function-to-manipulate-paths.patch: Update.
  * d/control: Drop lsb-base from Depends of bluez.
  * Update d/patches/Fix-typo.patch.
  * Install dbus policy in /usr instead of /etc.
  * d/control: Remove unnecessary Conflicts and Replace.
  * d/NEWS: Remove it.
  * d/rules: Override FIRMWARE_DIR to /lib/firmware. (Closes: #1036546)
    Thanks to undef <debian@undef.tools>.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Sun, 06 Aug 2023 07:02:04 +0900

bluez (5.66-1) unstable; urgency=medium

  * Update to 5.66.
  * Refresh d/patches/Fix-typo.patch.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Thu, 17 Nov 2022 03:44:23 +0900

bluez (5.65-1) unstable; urgency=medium

  * Update to 5.65.
  * Update d/rules
    - Add optimize=+lto.
  * Refresh d/patches/main.conf.patch.
  * Add isotest to bluez-test-tools.
  * Update d/libbluetooth3.symbols (Closes: #1015361)
  * Add d/upstream/metadata
  * Update d/control
    - Bumped Standards-Version to 4.6.1

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Wed, 03 Aug 2022 10:57:23 +0900

bluez (5.64-2) unstable; urgency=medium

  * Create /var/lib/bluetooth (Closes: #1009987)
    Add d/bluez.prerm d/bluez.preinst.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Fri, 22 Apr 2022 21:18:22 +0900

bluez (5.64-1) unstable; urgency=medium

  * Update to 5.64.
    Fixed CVE-2022-0204 (Closes: #1003712)
  * Update d/control.
    + bluez; depend on default-dbus-system-bus | dbus-system-bus | dbus.
  * Drop d/patches/sdpd-Fix-leaking-buffers-stored-in-cstates-cache.patch.
  * Update d/copyright
    + Drop nonexistent files.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Thu, 07 Apr 2022 06:35:07 +0900

bluez (5.62-2) unstable; urgency=medium

  * Add debian/patches/sdpd-Fix-leaking-buffers-stored-in-cstates-cache.patch
    to fix CVE-2021-41229. (Closes: #1000262)
    Thanks for pointing out the mistake, Salvatore.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Mon, 27 Dec 2021 08:29:34 +0900

bluez (5.62-1) unstable; urgency=medium

  * Update to 5.62. (Closes: #1000262, #998626)
    Fixed CVE-2021-43400 and CVE-2021-41229.
  * Reduce Build-Depends: (Closes: #980896)
    + Annotate check with <!nocheck>.
    + libcap-ng-dev is no longer used. We no longer pass --enable-capng.
    + Thanks to Helmut Grohne <helmut@subdivi.de>.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Tue, 14 Dec 2021 09:23:03 +0900

bluez (5.61-1) unstable; urgency=medium

  * Update to 5.61.
  * Update d/copyright.
  * Add manpages create by help2man.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Wed, 25 Aug 2021 17:33:39 +0900

bluez (5.60-1~exp0) experimental; urgency=medium

  * Update to 5.60.
  * Update d/patches
    * Drop d/patches/build-Create-directory-for-ell-useful.h.patch.
    * Add Change-shebang-from-usr-bin-python-to-usr-bin-python.patch.
  * Update manpages.
  * Update d/bluez-meshd.install.
    * Add usr/bin/mesh-cfgtest.
  * Update d/watch.
    * use https.
    * pdate to v4.
  * Update d/control.
    * Add python3-docutils to B-D.
  * Delete d/source.lintian-overrides.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Wed, 28 Jul 2021 09:40:02 +0900

bluez (5.58-1~exp0) experimental; urgency=medium

  * Update to 5.58.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Fri, 07 May 2021 18:25:31 +0900

bluez (5.55-3.1) unstable; urgency=high

  * Non-maintainer upload.
  * main: Don't warn for unset config option (Closes: #989495)
  * shared/gatt-server: Fix not properly checking for secure flags
    (CVE-2020-26558, CVE-2021-0129) (Closes: #989614)
  * gatt: Fix potential buffer out-of-bound (CVE-2021-3588) (Closes: #989700)

 -- Salvatore Bonaccorso <carnil@debian.org>  Thu, 10 Jun 2021 21:34:56 +0200

bluez (5.55-3) unstable; urgency=medium

  * Add d/salsa-ci.yml.
  * Update d/control.
    * Add Rules-Requires-Root: no

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Sat, 02 Jan 2021 15:57:41 +0900

bluez (5.55-2) unstable; urgency=medium

  * Update d/control.
    * Use debhelper-compat instead of debhelper, and update to 13.
    * Bump Standards-Version to 4.5.1 (no change).
    * Add libell-dev to B-D.
    * Add dbus-user-session to bluez-obexd's Recommends.
    * Add libjson-c-dev to B-D.
    * Use libdbus-1-dev instead of libdbus-glib-1-dev. (Closes: #955823)
  * Update d/rules.
    * Drop unnecessary autoreconf option for dh.
    * Add --exclude=.la to option of dh.
    * Add --enable-external-ell.
    * Enable mesh support, add bluez-meshd package. (Closes: #973579)
    * Fix contains bluez-source-tmp directory. (Closes: #970130)
      Thanks to Chris Lamb and Vagrant Cascadian.
  * Update d/gbp.conf
    Change debian-branch to debian/sid.
  * Update d/patches/allow-using-obexd-without-systemd-in-the-user-sessio.patch
    Fix path of obexd. (Closes: #972070, #971533)
  * Remove d/compat.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Mon, 21 Dec 2020 08:08:53 +0900

bluez (5.55-1) unstable; urgency=medium

  * Update to 5.55.
  * Remove patches applied in upstream.
    - input-hog-Attempt-to-set-security-level-if-not-bonde.patch
    - input-Add-LEAutoSecurity-setting-to-input.conf.patch
  * Add --enable-hid2hci to configure's option.
    Add --enable-hid2hci option to explicitly enable the hid2hci tool.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Wed, 16 Sep 2020 16:49:56 +0900

bluez (5.54-1) unstable; urgency=medium

  * Update to 5.54. (Closes: #946711, #966564, #925369)
  * Update d/libbluetooth3.symbols.
  * Delete unnecessary patches.
  * Add zsh completion file to bluez. (Closes: #954281)
    Thanks to Laurent Bigonville <bigon@debian.org>.
  * Omit bluez-cups on Ubuntu/i386. (Closes: #947084)
    Thanks to Steve Langasek <steve.langasek@canonical.com>.
  * Fix typo in d/bluez.bluetooth.default. (Closes: #959483)
    Thanks to Vincent Lefevre <vincent@vinc17.net>.
  * Move daemon to /usr/libexec/bluetooth instead of /usr/lib/bluetooth.
    (Closes: #954282)
    Thanks to Laurent Bigonville <bigon@debian.org>.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Sun, 30 Aug 2020 06:48:15 +0900

bluez (5.52-1) experimental; urgency=medium

  * Update to 5.52.
  * Add bluez-source package.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Wed, 13 Nov 2019 13:26:08 +0900

bluez (5.51-1) experimental; urgency=medium

  * Update to 5.51.
  * Fix lintian warnings:
    - skip-systemd-native-flag-missing-pre-depends.
    - executable-not-elf-or-script.
    - maintainer-script-should-not-use-dpkg-maintscript-helper
      Use new dh_installdeb maintscript.
  * dh_installsystemd instread of dh_systemd_enable and start.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Mon, 07 Oct 2019 20:10:25 +0900

bluez (5.50-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * input: hog: Attempt to set security level if not bonded
  * input: Add LEAutoSecurity setting to input.conf

 -- Salvatore Bonaccorso <carnil@debian.org>  Fri, 20 Mar 2020 21:19:01 +0100

bluez (5.50-1.1) unstable; urgency=high

  * Non-maintainer upload.
  * Address INTEL-SA-00352 (CVE-2020-0556) (Closes: #953770)
    - HOGP must only accept data from bonded devices
    - HID accepts bonded device connections only

 -- Salvatore Bonaccorso <carnil@debian.org>  Fri, 13 Mar 2020 21:31:22 +0100

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog bluez`.
